Bug 995842 - Preedit background colour in ibus-m17n is always black and preedit underlining is always off
Preedit background colour in ibus-m17n is always black and preedit underlinin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-m17n (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 09:01 EDT by Mike FABIAN
Modified: 2013-09-22 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-m17n-1.3.4-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:33:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Fix-pre-dit-background-colour-and-underlining.patch (961 bytes, patch)
2013-08-11 09:01 EDT, Mike FABIAN
no flags Details | Diff

  None (edit)
Description Mike FABIAN 2013-08-11 09:01:23 EDT
Created attachment 785391 [details]
0001-Fix-pre-dit-background-colour-and-underlining.patch

There are settings in the setup tool for ibus-m17n to 
change the foreground colour, background colour, and the underlining
for the preëdit.

Only the foreground colour setting actually works though,
the setting for the background colour is ignored, the background
is always black. The setting for the underlining is ignored as well,
there is never any underlining. 

I have made a patch against current master of ibus-m17n to
fix the problem, it is attached here.
Comment 1 Fedora Update System 2013-09-04 04:44:25 EDT
ibus-m17n-1.3.4-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-m17n-1.3.4-12.fc20
Comment 2 Fedora Update System 2013-09-04 04:44:34 EDT
ibus-m17n-1.3.4-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-m17n-1.3.4-12.fc19
Comment 3 Fedora Update System 2013-09-04 12:06:21 EDT
Package ibus-m17n-1.3.4-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-m17n-1.3.4-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15743/ibus-m17n-1.3.4-12.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-16 20:33:27 EDT
ibus-m17n-1.3.4-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-22 19:48:03 EDT
ibus-m17n-1.3.4-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.